<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * PagosConvenios
 *
 * @ORM\Table(name="pagos_convenios", indexes={@ORM\Index(name="cve_alu", columns={"cve_alu"})})
 * @ORM\Entity
 */
class PagosConvenios
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_pag_con", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idePagCon;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_ini", type="date", nullable=false)
     */
    private $fecIni;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_ter", type="date", nullable=false)
     */
    private $fecTer;

    /**
     * @var string
     *
     * @ORM\Column(name="nom_mes", type="string", length=200, nullable=false)
     */
    private $nomMes;

    /**
     * @var string
     *
     * @ORM\Column(name="descripcion", type="string", length=200, nullable=true)
     */
    private $descripcion = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="monto", type="decimal", precision=10, scale=2, nullable=true)
     */
    private $monto = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="recargos", type="decimal", precision=10, scale=2, nullable=true)
     */
    private $recargos = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="total", type="decimal", precision=10, scale=2, nullable=true)
     */
    private $total = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="deposito", type="decimal", precision=10, scale=2, nullable=true)
     */
    private $deposito = 'NULL';

    /**
     * @var integer
     *
     * @ORM\Column(name="estatus", type="integer", nullable=false)
     */
    private $estatus = '0';

    /**
     * @var integer
     *
     * @ORM\Column(name="num_convenio", type="integer", nullable=true)
     */
    private $numConvenio = 'NULL';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_mov", type="date", nullable=false)
     */
    private $fecMov;

    /**
     * @var string
     *
     * @ORM\Column(name="cve_usu", type="string", length=50, nullable=true)
     */
    private $cveUsu = 'NULL';

    /**
     * @var \Alumnos
     *
     * @ORM\ManyToOne(targetEntity="Alumnos")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_alu", referencedColumnName="ide_alu")
     * })
     */
    private $cveAlu;



    /**
     * Get idePagCon
     *
     * @return integer
     */
    public function getIdePagCon()
    {
        return $this->idePagCon;
    }

    /**
     * Set fecIni
     *
     * @param \DateTime $fecIni
     *
     * @return PagosConvenios
     */
    public function setFecIni($fecIni)
    {
        $this->fecIni = $fecIni;
    
        return $this;
    }

    /**
     * Get fecIni
     *
     * @return \DateTime
     */
    public function getFecIni()
    {
        return $this->fecIni;
    }

    /**
     * Set fecTer
     *
     * @param \DateTime $fecTer
     *
     * @return PagosConvenios
     */
    public function setFecTer($fecTer)
    {
        $this->fecTer = $fecTer;
    
        return $this;
    }

    /**
     * Get fecTer
     *
     * @return \DateTime
     */
    public function getFecTer()
    {
        return $this->fecTer;
    }

    /**
     * Set nomMes
     *
     * @param string $nomMes
     *
     * @return PagosConvenios
     */
    public function setNomMes($nomMes)
    {
        $this->nomMes = $nomMes;
    
        return $this;
    }

    /**
     * Get nomMes
     *
     * @return string
     */
    public function getNomMes()
    {
        return $this->nomMes;
    }

    /**
     * Set descripcion
     *
     * @param string $descripcion
     *
     * @return PagosConvenios
     */
    public function setDescripcion($descripcion)
    {
        $this->descripcion = $descripcion;
    
        return $this;
    }

    /**
     * Get descripcion
     *
     * @return string
     */
    public function getDescripcion()
    {
        return $this->descripcion;
    }

    /**
     * Set monto
     *
     * @param string $monto
     *
     * @return PagosConvenios
     */
    public function setMonto($monto)
    {
        $this->monto = $monto;
    
        return $this;
    }

    /**
     * Get monto
     *
     * @return string
     */
    public function getMonto()
    {
        return $this->monto;
    }

    /**
     * Set recargos
     *
     * @param string $recargos
     *
     * @return PagosConvenios
     */
    public function setRecargos($recargos)
    {
        $this->recargos = $recargos;
    
        return $this;
    }

    /**
     * Get recargos
     *
     * @return string
     */
    public function getRecargos()
    {
        return $this->recargos;
    }

    /**
     * Set total
     *
     * @param string $total
     *
     * @return PagosConvenios
     */
    public function setTotal($total)
    {
        $this->total = $total;
    
        return $this;
    }

    /**
     * Get total
     *
     * @return string
     */
    public function getTotal()
    {
        return $this->total;
    }

    /**
     * Set deposito
     *
     * @param string $deposito
     *
     * @return PagosConvenios
     */
    public function setDeposito($deposito)
    {
        $this->deposito = $deposito;
    
        return $this;
    }

    /**
     * Get deposito
     *
     * @return string
     */
    public function getDeposito()
    {
        return $this->deposito;
    }

    /**
     * Set estatus
     *
     * @param integer $estatus
     *
     * @return PagosConvenios
     */
    public function setEstatus($estatus)
    {
        $this->estatus = $estatus;
    
        return $this;
    }

    /**
     * Get estatus
     *
     * @return integer
     */
    public function getEstatus()
    {
        return $this->estatus;
    }

    /**
     * Set numConvenio
     *
     * @param integer $numConvenio
     *
     * @return PagosConvenios
     */
    public function setNumConvenio($numConvenio)
    {
        $this->numConvenio = $numConvenio;
    
        return $this;
    }

    /**
     * Get numConvenio
     *
     * @return integer
     */
    public function getNumConvenio()
    {
        return $this->numConvenio;
    }

    /**
     * Set fecMov
     *
     * @param \DateTime $fecMov
     *
     * @return PagosConvenios
     */
    public function setFecMov($fecMov)
    {
        $this->fecMov = $fecMov;
    
        return $this;
    }

    /**
     * Get fecMov
     *
     * @return \DateTime
     */
    public function getFecMov()
    {
        return $this->fecMov;
    }

    /**
     * Set cveUsu
     *
     * @param string $cveUsu
     *
     * @return PagosConvenios
     */
    public function setCveUsu($cveUsu)
    {
        $this->cveUsu = $cveUsu;
    
        return $this;
    }

    /**
     * Get cveUsu
     *
     * @return string
     */
    public function getCveUsu()
    {
        return $this->cveUsu;
    }

    /**
     * Set cveAlu
     *
     * @param \CmBundle\Entity\Alumnos $cveAlu
     *
     * @return PagosConvenios
     */
    public function setCveAlu(\CmBundle\Entity\Alumnos $cveAlu = null)
    {
        $this->cveAlu = $cveAlu;
    
        return $this;
    }

    /**
     * Get cveAlu
     *
     * @return \CmBundle\Entity\Alumnos
     */
    public function getCveAlu()
    {
        return $this->cveAlu;
    }
}
